For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all vendors
        • GETGet vendor by ID
        • GETGet all vendors by property ID
        • POSTCreate Service Request Vendor: ResMan - Not Supported
        • PUTUpdate Service Request Vendor: ResMan - Not Supported
        • POSTCreate Service Request Vendor file: ResMan - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManVendors

Create Service Request Vendor file: ResMan - Not Supported

POST
/v1/vendors/resman/file-upload/
POST
/v1/vendors/resman/file-upload/
$curl -X POST https://api.propexo.com/v1/vendors/resman/file-upload/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
ResMan does not support creating a service request vendor file via their API. This endpoint will always return a 405, with an error message specifying that creating a service request vendor file in a ResMan integration is not supported due to the lack of upstream support.
Was this page helpful?
Previous

Get all amenities

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.

Response

Successful response

Errors

400
Bad Request Error